# hy-icon



<!-- Auto Generated Below -->


## Properties

| Property | Attribute | Description | Type     | Default     |
| -------- | --------- | ----------- | -------- | ----------- |
| `fill`   | `fill`    |             | `string` | `"black"`   |
| `icon`   | `icon`    |             | `string` | `undefined` |
| `size`   | `size`    |             | `number` | `20`        |


## Dependencies

### Used by

 - [hy-accordion-item](../accordion-item)
 - [hy-button](../button)
 - [hy-link-box](../link-box)

### Graph
```mermaid
graph TD;
  hy-accordion-item --> hy-icon
  hy-button --> hy-icon
  hy-link-box --> hy-icon
  style hy-icon fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Helsinki University Design System
